Campaigns
Delete a campaign
Delete a campaign from the account. Requires an account administrator and API access enabled for the account.
DELETE
/
api
/
v1
/
accounts
/
{account_id}
/
campaigns
/
{id}
Delete a campaign
curl --request DELETE \
--url https://app.chatwoot.com/api/v1/accounts/{account_id}/campaigns/{id} \
--header 'api_access_token: <api-key>'import requests
url = "https://app.chatwoot.com/api/v1/accounts/{account_id}/campaigns/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {api_access_token: '<api-key>'}};
fetch('https://app.chatwoot.com/api/v1/accounts/{account_id}/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Account-scoped campaign ID returned by the campaign API.
Response
Success
⌘I
Delete a campaign

